Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 86566 - "Error while saving palette settings" when changing platform
"Error while saving palette settings" when changing platform
Status: CLOSED WONTFIX
Product: javame
Classification: Unclassified
Component: CDC pack
5.x
All All
: P3 (vote)
: 5.x
Assigned To: Martin Ryzl
issues@mobility
: RELNOTE
Depends on: 89886
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-05 12:42 UTC by Lukas Hasik
Modified: 2009-01-15 13:37 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments
INFO: Error while saving palette settings. (1.19 KB, text/plain)
2006-10-05 12:43 UTC, Lukas Hasik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Lukas Hasik 2006-10-05 12:42:34 UTC
cdc pack beta2

-have open Design view of and UI component of project
-change platform of the project - CDC TK -> OK -> SEMC -> OK -> CDC TK -> OK

INFO message will appear in console/messages.log
Oct 5, 2006 1:38:12 PM org.netbeans.modules.palette.DefaultSettings store
INFO: Error while saving palette settings.
org.openide.filesystems.FileAlreadyLockedException:
PaletteSettings/FormDesignerPalette.settings
	at org.openide.filesystems.MultiFileObject.lock(MultiFileObject.java:562)
	at org.netbeans.modules.palette.DefaultSettings.store(DefaultSettings.java:301)
	at org.netbeans.modules.palette.DefaultSettings.run(DefaultSettings.java:236)
	at org.openide.util.RequestProcessor$Task.run(RequestProcessor.java:499)
	at org.openide.util.RequestProcessor$Processor.run(RequestProcessor.java:932)
Comment 1 Lukas Hasik 2006-10-05 12:43:20 UTC
Created attachment 34914 [details]
INFO: Error while saving palette settings.
Comment 2 luky 2006-11-22 17:10:40 UTC
It is a problem in palette module of core. See issue 89886. It won't be fixed 
in 5.5 so we should mention it in release notes. 
Comment 3 Lukas Hasik 2006-11-22 19:55:34 UTC
should be noticed in Release Notes
Comment 4 Lukas Hasik 2006-12-05 21:36:30 UTC
verified in 061205 build
Comment 5 Ivan Sidorkin 2009-01-15 13:37:40 UTC
closing old issues


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo